Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmTableOrView

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmTabularSource
                        |
                        +--oracle.olapi.metadata.mtm.MtmTableOrView

Direct Known Subclasses:
  MtmAWView, MtmRdbmsTableOrView

public abstract class MtmTableOrView
extends MtmTabularSource

An `MtmTabularSource` that represents a logical table that is based on an existing table or view in the data store. An `MtmTableOrView` stores the name of the table or view and a list of its columns. An `MtmTableOrView` is often used to specify the source tables in the `FROM` clause of a `SELECT` statement that is constructed by the Oracle OLAP SQL generator. For example, if the name of the table in the data store is `UNITS`, then the `SELECT` statement constructed by the SQL generator might be the following:

        SELECT *
        FROM UNITS

Method Summary
`abstract MtmColumnExpression` | `addColumn(java.lang.String columnName)` Adds the specified column to the `MtmTableOrView`.
`java.util.List` | `getColumns()` Gets a list of the columns in this `MtmTableOrView`.
`java.lang.String` | `getName()` Gets the name of the relational table or view in the data store that is represented by this `MtmTableOrView`.
`void` | `setName(java.lang.String newName)` Specifies a name for the relational table or view that is represented by this `MtmTableOrView`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmObject
`acceptVisitor`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addColumn

    public abstract MtmColumnExpression addColumn(java.lang.String columnName)

  Adds the specified column to the `MtmTableOrView`. The column must exist in the data store. This method creates an `MtmColumnExpression` that represents the new column and provides the `MtmColumnExpression` as a return value.
  Parameters:
    `columnName` - A `String` that contains the name of the relational column to be added to this `MtmTableOrView`.
  Returns:
    An `MtmColumnExpression` that represents the specified relational column, which is being added to this `MtmTableOrView`.

### getColumns

    public java.util.List getColumns()

  Gets a list of the columns in this `MtmTableOrView`.
  Returns:
    A `List` of `MtmColumnExpression` objects that represent the columns of this `MtmTableOrView`.

### getName

    public java.lang.String getName()

  Gets the name of the relational table or view in the data store that is represented by this `MtmTableOrView`.
  Returns:
    A `String` that contains the name of the relational table or view for this `MtmTableOrView`.

### setName

    public void setName(java.lang.String newName)

  Specifies a name for the relational table or view that is represented by this `MtmTableOrView`. You can use this method to change the table or view that this `MtmTableOrView` represents.
  Parameters:
    `newName` - A `String` that specifies a name for this `MtmTableOrView`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.